Ipe Base

## Classes

class | ipe::String
class | ipe::Fixed
class | ipe::Lex
class | ipe::Buffer
class | ipe::Stream
class | ipe::StringStream
class | ipe::FileStream
class | ipe::DataSource
class | ipe::FileSource
class | ipe::BufferSource
class | ipe::Bitmap
class | ipe::Painter
class | ipe::PdfObj
class | ipe::PdfNull
class | ipe::PdfBool
class | ipe::PdfNumber
class | ipe::PdfString
class | ipe::PdfName
class | ipe::PdfRef
class | ipe::PdfArray
class | ipe::PdfDict
class | ipe::PdfParser
class | ipe::PdfFile
class | ipe::Platform
class | ipe::PdfResourceBase
class | ipe::PdfResources
class | ipe::XmlAttributes
class | ipe::XmlParser
class | ipe::TellStream

## Variables

const int | ipe::IPELIB_VERSION = 70211
const int | ipe::OLDEST_FILE_FORMAT = 70000
const int | ipe::FILE_FORMAT = 70206

## Detailed Description

Basic classes for Ipe.

Some very basic type definitions, streams, lexical analysis, and XML parsing.

All parts of Ipe make use of the STL. The C++ I/O streams library is not used, as Ipelib doesn't do much I/O. Ipe objects support internalization and externalization through an abstract interface based on ipe::Stream's.

Clients of Ipelib can use any I/O library that implements this interface. Ipe simply uses `cstdio`.

## Variable Documentation

## IPELIB_VERSION

const int ipe::IPELIB_VERSION = 70211

Ipelib version.

Referenced by ipe::Platform::initLib(), ipe::Platform::libVersion(), and ipe::ImlParser::parseDocument().

## OLDEST_FILE_FORMAT

const int ipe::OLDEST_FILE_FORMAT = 70000

Oldest readable file format version.

Referenced by ipe::ImlParser::parseDocument().

## FILE_FORMAT

const int ipe::FILE_FORMAT = 70206

Current file format version.

Referenced by ipe::Document::saveAsXml().